org.eclipse.net4j.util.ref

## Class ReferenceValueMap2.Strong<K,V>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - org.eclipse.net4j.util.ref.ReferenceValueMap2<K,V>
    - - org.eclipse.net4j.util.ref.ReferenceValueMap2.Strong<K,V>

- All Implemented Interfaces:
    java.util.Map<K,V>
  Enclosing class:
    ReferenceValueMap2<K,V>

      public static class ReferenceValueMap2.Strong<K,V>
      extends ReferenceValueMap2<K,V>

  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.net4j.util.ref.ReferenceValueMap2

      `ReferenceValueMap2.Soft<K,V>, ReferenceValueMap2.Strong<K,V>, ReferenceValueMap2.Weak<K,V>`

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `java.util.AbstractMap.SimpleEntry<K,V>, java.util.AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `java.util.Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Strong()`
    `Strong(java.util.Map<K,KeyedReference<K,V>> map)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.ref.ReferenceQueue<V>` | `createQueue()`
    `protected KeyedReference<K,V>` | `createReference(K key, V value, java.lang.ref.ReferenceQueue<V> queue)`

    - ### Methods inherited from class org.eclipse.net4j.util.ref.ReferenceValueMap2

      `clear, containsKey, containsValue, dereference, entrySet, get, internalPurgeQueue, isEmpty, purged, purgeQueue, put, remove, size`

    - ### Methods inherited from class java.util.AbstractMap

      `clone, equals, hashCode, keySet, putAll, toString, values`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `compute, computeIfAbsent, computeIfPresent, forEach, getOrDefault, merge, putIfAbsent, remove, replace, replace, replaceAll`

- - ### Constructor Detail

    - #### Strong

          public Strong()

    - #### Strong

          public Strong(java.util.Map<K,KeyedReference<K,V>> map)

  - ### Method Detail

    - #### createReference

          protected KeyedReference<K,V> createReference(K key,
                                                        V value,
                                                        java.lang.ref.ReferenceQueue<V> queue)

      Specified by:
        `createReference` in class `ReferenceValueMap2<K,V>`

    - #### createQueue

          protected java.lang.ref.ReferenceQueue<V> createQueue()

      Overrides:
        `createQueue` in class `ReferenceValueMap2<K,V>`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html